# Reply to a Brand Data Point

Reply with a text to a Brand Data Point, e.g. a review

Endpoint: PATCH /brand-data-points/{id}/reply
Version: 20260701
Security: X-API-KEY, Authorization

## Path parameters:

  - `id` (string, required)
    The uberall unique ID of the brand data point you want to reply to

## Query parameters:

  - `reply` (string, required)
    The text you want to reply, on most directories this will be published and can be read by the author of the original data point

## Response 200 fields (*/*):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `warnings` (array)
    (optional) Holds further warnings

  - `response` (object, required)
    The actual response object of the response

  - `response.dataPoint` (object)
    Brand Data Point Model

  - `response.dataPoint.id` (integer)
    The uberall unique id of the data point

  - `response.dataPoint.type` (string)
    Datapoint Type. Values: [PHOTO, REVIEW, CHECKIN, CONVERSATION, QUESTION]
    Enum: "REVIEW", "PHOTO", "CHECKIN", "CONVERSATION", "COMMENT", "QUESTION", "POST", "IMAGE", "VIDEO", "CAROUSEL_ALBUM", "LINK", "EXPANDEDREVIEW", "AD_POST"

  - `response.dataPoint.directoryType` (string)
    Online directory reference name
    Enum: "FOURSQUARE", "UBER", "GOOGLE", "WAZE", "GOOGLE_MAPS", "YELP_API", "MEINESTADT", "NOKIA_HERE", "FACEBOOK", "TOMTOM", "STADTBRANCHENBUCH", "CYLEX", "UNTERNEHMENSAUSKUNFT", "ACOMPIO", "BUSINESSBRANCHENBUCH", "SCOOT", "CENTRAL_INDEX", "CITIPAGES", "THE_DAILY_RECORD", "THE_EVENING_STANDARD", "THE_SCOTSMAN", "LIVERPOOL_ECHO", "TOUCH_LOCAL", "THE_MIRROR", "ANNUAIRE", "INFOBEL", "US_INFO_COM", "BING", "WO_GIBTS_WAS", "KOOMIO", "OEFFNUNGSZEITENBUCH", "APPLE_MAPS", "WHERE_TO", "TUPALO", "BRANCHENBUCH_DEUTSCHLAND", "MARKTPLATZ_MITTELSTAND", "BUSQUEDA_LOCAL", "RICERCARE_IMPRESE", "PAGES24", "NAVMII", "AUDI", "BMW", "MERCEDES", "VW", "TOYOTA", "FORD", "FIAT", "GM", "INSTAGRAM", "CITY_SQUARES", "SHOWMELOCAL", "CHAMBER_OF_COMMERCE", "JUDYS_BOOK", "MY_LOCAL_SERVICES", "HOTFROG", "INFO_IS_INFO", "MANTA", "US_CITY", "GO_YELLOW", "N49", "PRATIQUE", "EZLOCAL", "ELOCAL", "YELLOW_PAGES", "SUPER_PAGES", "DEX_KNOWS", "KAUFDA_MANUAL", "I_GLOBAL", "BRANCHEN_INFO_MANUAL", "GUTE_BANKEN_MANUAL", "D_11880_COM_MANUAL", "BANKOEFFNUNGSZEITEN_DE_MANUAL", "BANK_OEFFNUNGSZEITEN_DE_MANUAL", "CYLEX_MANUAL", "FINDE_OFFEN_MANUAL", "MEIN_PROSPEKT_MANUAL", "FIND_OPEN", "GO_LOCAL", "MEINUNGSMEISTER", "YAHOO_MANUAL", "TRIP_ADVISOR", "ZIP_CH", "INFOGROUP", "TRUSTPILOT", "AUSKUNFT", "NEXT_DOOR", "GOOGLE_ASSISTANT", "SIRI", "HUAWEI", "DOCTOR_COM", "DENTAL_PLANS", "DOC_SPOT", "HEALTHGRADES", "SHARE_CARE", "VITALS", "WEB_MD", "WELLNESS", "BING_HEALTH", "NPPES", "RATE_MDS", "CITYSEARCH", "INSIDER_PAGES", "TWITTER", "ALEXA", "MAP_QUEST", "WEBSITE_WIDGETS", "ECO_MOVEMENT", "GOOGLE_EV", "APPLE_EV", "TESLA_EV", "EUROWAG_EV", "OPIS_EV", "TOMTOM_EV", "HERE_EV", "YELLOW_PAGES_CANADA", "BBB", "UBERALL_SOCIAL_ADS", "APPLE_APPS", "CONSUMER_AFFAIRS", "CREDIT_KARMA", "DELIVERY", "GLASSDOOR", "PLAY_GOOGLE", "GRUBHUB", "INDEED", "LENDING_TREE", "MENUISM", "OPEN_TABLE", "OPEN_TABLE_USA", "WALLET_HUB", "ZILLOW", "ZOMATO", "WHATS_APP", "FOUR_SCREEN", "AND_CHARGE", "LINKED_IN", "TIK_TOK", "CHAT_GPT", "CLAUDE", "GEMINI", "PERPLEXITY", "OVERTURE", "RESTAURANTS"

  - `response.dataPoint.status` (string)
    Status
    Enum: "VALID", "NOT_SHOWN", "INVALID", "DELETED", "APPROVAL_NEEDED", "QUARANTINE", "HIDDEN"

  - `response.dataPoint.data` (string)
    Content of the datapoint (text of the review, url of the photo, count of checkins...)

  - `response.dataPoint.secondaryData` (string)
    Additional info about the datapoint (eg. text content on instagram pictures)
    Example: text content on instagram pictures

  - `response.dataPoint.externalId` (string)
    External Id

  - `response.dataPoint.author` (string)
    Username of the datapoints author

  - `response.dataPoint.authorImage` (string)
    Author profile picture url

  - `response.dataPoint.directLink` (string)
    A link to the online profile

  - `response.dataPoint.rating` (number)
    Rating given by the user. Float value, max: 5.

  - `response.dataPoint.actionDate` (string)
    The date when the review/photo/... was published in the online directory

  - `response.dataPoint.threadActionDate` (string)
    The date of the last interaction in that thread. When a review receives a new comment, the parent will update.

  - `response.dataPoint.dateCreated` (string)
    The date the datapoint was found

  - `response.dataPoint.lastUpdated` (string)
    Date of last update

  - `response.dataPoint.lastChecked` (string)
    Date of last check

  - `response.dataPoint.countLikes` (integer)
    Number of likes to this item

  - `response.dataPoint.countComments` (integer)
    Number of comments to this item.

  - `response.dataPoint.countViews` (integer)
    Number of views to this item.

  - `response.dataPoint.liked` (boolean)
    Whether this datapoint has been liked or not

  - `response.dataPoint.flagged` (boolean)
    Whether the datapoint has been flagged. The exact nature of the flagging depends on the directory, but can be e.g. "Report as SPAM"

  - `response.dataPoint.read` (boolean)
    True if the user has read the datapoint

  - `response.dataPoint.actionDateGroup` (string)
    Action date group

  - `response.dataPoint.repliedByOwner` (boolean)
    True if the owner of the business has replied

  - `response.dataPoint.replyUserId` (integer)
    Reply user ID

  - `response.dataPoint.comments` (array)
    Comments

  - `response.dataPoint.comments.id` (integer)
    The uberall unique id of the data point

  - `response.dataPoint.comments.type` (string)
    Datapoint Type. Values: [PHOTO, REVIEW, CHECKIN, CONVERSATION, QUESTION]
    Enum: "REVIEW", "PHOTO", "CHECKIN", "CONVERSATION", "COMMENT", "QUESTION", "POST", "IMAGE", "VIDEO", "CAROUSEL_ALBUM", "LINK", "EXPANDEDREVIEW", "AD_POST"

  - `response.dataPoint.comments.directoryType` (string)
    Online directory reference name
    Enum: "FOURSQUARE", "UBER", "GOOGLE", "WAZE", "GOOGLE_MAPS", "YELP_API", "MEINESTADT", "NOKIA_HERE", "FACEBOOK", "TOMTOM", "STADTBRANCHENBUCH", "CYLEX", "UNTERNEHMENSAUSKUNFT", "ACOMPIO", "BUSINESSBRANCHENBUCH", "SCOOT", "CENTRAL_INDEX", "CITIPAGES", "THE_DAILY_RECORD", "THE_EVENING_STANDARD", "THE_SCOTSMAN", "LIVERPOOL_ECHO", "TOUCH_LOCAL", "THE_MIRROR", "ANNUAIRE", "INFOBEL", "US_INFO_COM", "BING", "WO_GIBTS_WAS", "KOOMIO", "OEFFNUNGSZEITENBUCH", "APPLE_MAPS", "WHERE_TO", "TUPALO", "BRANCHENBUCH_DEUTSCHLAND", "MARKTPLATZ_MITTELSTAND", "BUSQUEDA_LOCAL", "RICERCARE_IMPRESE", "PAGES24", "NAVMII", "AUDI", "BMW", "MERCEDES", "VW", "TOYOTA", "FORD", "FIAT", "GM", "INSTAGRAM", "CITY_SQUARES", "SHOWMELOCAL", "CHAMBER_OF_COMMERCE", "JUDYS_BOOK", "MY_LOCAL_SERVICES", "HOTFROG", "INFO_IS_INFO", "MANTA", "US_CITY", "GO_YELLOW", "N49", "PRATIQUE", "EZLOCAL", "ELOCAL", "YELLOW_PAGES", "SUPER_PAGES", "DEX_KNOWS", "KAUFDA_MANUAL", "I_GLOBAL", "BRANCHEN_INFO_MANUAL", "GUTE_BANKEN_MANUAL", "D_11880_COM_MANUAL", "BANKOEFFNUNGSZEITEN_DE_MANUAL", "BANK_OEFFNUNGSZEITEN_DE_MANUAL", "CYLEX_MANUAL", "FINDE_OFFEN_MANUAL", "MEIN_PROSPEKT_MANUAL", "FIND_OPEN", "GO_LOCAL", "MEINUNGSMEISTER", "YAHOO_MANUAL", "TRIP_ADVISOR", "ZIP_CH", "INFOGROUP", "TRUSTPILOT", "AUSKUNFT", "NEXT_DOOR", "GOOGLE_ASSISTANT", "SIRI", "HUAWEI", "DOCTOR_COM", "DENTAL_PLANS", "DOC_SPOT", "HEALTHGRADES", "SHARE_CARE", "VITALS", "WEB_MD", "WELLNESS", "BING_HEALTH", "NPPES", "RATE_MDS", "CITYSEARCH", "INSIDER_PAGES", "TWITTER", "ALEXA", "MAP_QUEST", "WEBSITE_WIDGETS", "ECO_MOVEMENT", "GOOGLE_EV", "APPLE_EV", "TESLA_EV", "EUROWAG_EV", "OPIS_EV", "TOMTOM_EV", "HERE_EV", "YELLOW_PAGES_CANADA", "BBB", "UBERALL_SOCIAL_ADS", "APPLE_APPS", "CONSUMER_AFFAIRS", "CREDIT_KARMA", "DELIVERY", "GLASSDOOR", "PLAY_GOOGLE", "GRUBHUB", "INDEED", "LENDING_TREE", "MENUISM", "OPEN_TABLE", "OPEN_TABLE_USA", "WALLET_HUB", "ZILLOW", "ZOMATO", "WHATS_APP", "FOUR_SCREEN", "AND_CHARGE", "LINKED_IN", "TIK_TOK", "CHAT_GPT", "CLAUDE", "GEMINI", "PERPLEXITY", "OVERTURE", "RESTAURANTS"

  - `response.dataPoint.comments.status` (string)
    Status
    Enum: "VALID", "NOT_SHOWN", "INVALID", "DELETED", "APPROVAL_NEEDED", "QUARANTINE", "HIDDEN"

  - `response.dataPoint.comments.data` (string)
    Content of the datapoint (text of the review, url of the photo, count of checkins...)

  - `response.dataPoint.comments.secondaryData` (string)
    Additional info about the datapoint (eg. text content on instagram pictures)
    Example: text content on instagram pictures

  - `response.dataPoint.comments.externalId` (string)
    External Id

  - `response.dataPoint.comments.author` (string)
    Username of the datapoints author

  - `response.dataPoint.comments.authorImage` (string)
    Author profile picture url

  - `response.dataPoint.comments.directLink` (string)
    A link to the online profile

  - `response.dataPoint.comments.rating` (number)
    Rating given by the user. Float value, max: 5.

  - `response.dataPoint.comments.actionDate` (string)
    The date when the review/photo/... was published in the online directory

  - `response.dataPoint.comments.threadActionDate` (string)
    The date of the last interaction in that thread. When a review receives a new comment, the parent will update.

  - `response.dataPoint.comments.dateCreated` (string)
    The date the datapoint was found

  - `response.dataPoint.comments.lastUpdated` (string)
    Date of last update

  - `response.dataPoint.comments.lastChecked` (string)
    Date of last check

  - `response.dataPoint.comments.countLikes` (integer)
    Number of likes to this item

  - `response.dataPoint.comments.countComments` (integer)
    Number of comments to this item.

  - `response.dataPoint.comments.countViews` (integer)
    Number of views to this item.

  - `response.dataPoint.comments.liked` (boolean)
    Whether this datapoint has been liked or not

  - `response.dataPoint.comments.flagged` (boolean)
    Whether the datapoint has been flagged. The exact nature of the flagging depends on the directory, but can be e.g. "Report as SPAM"

  - `response.dataPoint.comments.read` (boolean)
    True if the user has read the datapoint

  - `response.dataPoint.comments.actionDateGroup` (string)
    Action date group

  - `response.dataPoint.comments.repliedByOwner` (boolean)
    True if the owner of the business has replied

  - `response.dataPoint.comments.replyUserId` (integer)
    Reply user ID

  - `response.dataPoint.comments.comments` (array)
    Comments

  - `response.dataPoint.comments.replyUser` (object)
    Details of the reply

  - `response.dataPoint.comments.replyUser.id` (integer)
    Id

  - `response.dataPoint.comments.parentDataPoint` (object)
    Details of the reply

  - `response.dataPoint.comments.parentDataPoint.id` (integer)
    Id

  - `response.dataPoint.comments.rootDataPoint` (object)
    Details of the reply

  - `response.dataPoint.comments.rootDataPoint.id` (integer)
    Id

  - `response.dataPoint.comments.directoryBusinessPage` (integer)
    Directory business page id

  - `response.dataPoint.comments.parentId` (integer)

  - `response.dataPoint.comments.sortableData` (string)

  - `response.dataPoint.replyUser` (object)
    Details of the reply

  - `response.dataPoint.replyUser.id` (integer)
    Id

  - `response.dataPoint.parentDataPoint` (object)
    Details of the reply

  - `response.dataPoint.parentDataPoint.id` (integer)
    Id

  - `response.dataPoint.rootDataPoint` (object)
    Details of the reply

  - `response.dataPoint.rootDataPoint.id` (integer)
    Id

  - `response.dataPoint.directoryBusinessPage` (integer)
    Directory business page id

  - `response.dataPoint.parentId` (integer)

  - `response.dataPoint.sortableData` (string)

## Response 400 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 401 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 403 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 404 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 409 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

